Returns the regular expression for fragmenting

- « SolrQuery::getHighlightRegexMaxAnalyzedChars

- SolrQuery::getHighlightRegexSlop »

- PHP Manual
- SolrQuery
- Returns the regular expression for fragmenting

# SolrQuery::getHighlightRegexPattern

(PECL solr >= 0.9.2)

SolrQuery::getHighlightRegexPattern — Returns the regular expression for fragmenting

### Description

public SolrQuery::getHighlightRegexPattern(): string

Returns the regular expression used for fragmenting

### Parameters

This function has no parameters.

### Return Values

Returns a string on success and `null` if not set.